> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyzecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update app file



## OpenAPI

````yaml /openapi.json put /api/apps/{appId}/fs/file
openapi: 3.0.3
info:
  title: Hyze Cloud API
  description: Official API documentation
  version: 1.0.0
servers:
  - url: https://api.hyzecloud.com
security:
  - bearerAuth: []
paths:
  /api/apps/{appId}/fs/file:
    put:
      tags:
        - Applications
      summary: Update app file
      operationId: putApiAppsByAppIdFsFile
      parameters:
        - name: appId
          in: path
          required: true
          schema:
            minLength: 1
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                path:
                  type: string
                  minLength: 1
                  maxLength: 1024
                content:
                  type: string
                  maxLength: 1000000
                etag:
                  minLength: 1
                  type: string
              required:
                - path
                - content
                - etag
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                path:
                  type: string
                  minLength: 1
                  maxLength: 1024
                content:
                  type: string
                  maxLength: 1000000
                etag:
                  minLength: 1
                  type: string
              required:
                - path
                - content
                - etag
          multipart/form-data:
            schema:
              type: object
              properties:
                path:
                  type: string
                  minLength: 1
                  maxLength: 1024
                content:
                  type: string
                  maxLength: 1000000
                etag:
                  minLength: 1
                  type: string
              required:
                - path
                - content
                - etag
      responses:
        default:
          description: Response
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: hyze_your_api_key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.